\name{AutoReference-class}
\docType{class}
\alias{AutoReference-class}
\alias{show,AutoReference-method}

\title{Class "AutoReference", define references (relations) between database tables }
\description{Objects of the type AutoReference are used in the functions \code{insertIntoTable} and \code{updateDBTable}
to define relations between database tables.}
\section{Objects from the Class}{
Objects can be created by calls of the form \code{new("AutoReference", ...)}.
    Usually the object should be created with \code{new("AutoReference",source.table="<source table name>",ref.table="ref table name",source.table.column="<column in data>",ref.table.column="<attribute in ref table>")}
}
\section{Slots}{
  \describe{
    \item{\code{source.table}:}{Object of class \code{"character"} the name of the source table (that will contain later the foreign key to the referenced table) }
    \item{\code{ref.table}:}{Object of class \code{"character"} the name of the referenced table }
    \item{\code{source.table.column}:}{Object of class \code{"character"} the column name of the data submitted thats value is the same as the value in the ref table, attribute ref.table.column }
    \item{\code{ref.table.column}:}{Object of class \code{"character"} the column (attribute) name, where the value of the source.table.column should compared with }
  }
}
\section{Methods}{
  \describe{
    \item{getRefAttribute}{\code{signature(object = "AutoReference")}: returns the primary key of the referenced table (<ref.table.name>\_pk) }
    \item{getRefColumn}{\code{signature(object = "AutoReference")}: returns the ref.table.column parameter }
    \item{getRefTable}{\code{signature(object = "AutoReference")}: returns the name of the referenced table }
    \item{getSourceAttribute}{\code{signature(object = "AutoReference")}: returns the name of the foreign key in the source table (usually <ref.table.name>\_fk) }
    \item{getSourceColumn}{\code{signature(object = "AutoReference")}: returns the source.table.column attribute }
    \item{show}{\code{signature(object = "AutoReference")}: show method }
  }
}
\references{ }
\author{Johannes Rainer}
\note{

}


\seealso{
 \code{\link{createDBTable}}, 
 \code{\link{insertIntoTable}},
 \code{\link{updateDBTable}}
}
\examples{

}
\keyword{classes}
